TYPO3.TYPO3CR - Feature # 40373

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category:

Created: 2012-08-29 Assigned To: Christian Mdiller
Updated: 2012-09-04 Due date:

Subject: TYPOS3CR content migration support

Description

We need a way to migrate content when content types or internal structures change, so one can e.g. rename a content type.

Associated revisions

Revision 16e5¢309 - 2012-08-29 16:36 - Christian Miiller

[FEATURE] Add a way for TYPO3CR contents to be migrated

Adds services to migrate specific content in your TYPO3CR to

another state, like changing node types or properties globally.

The change comes with a first migration:

Text and TextWithimage elements are migrated, TwoColumn elements
are not, because the needed transformation is not yet supported by
the node repository (Rename node path).

Change-Id: Iffba5fb6078ad971c87fc8a001953db5d4a3865a

Resolves: #40373

History

#1 - 2012-08-29 12:43 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/13073

#2 - 2012-08-29 16:36 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13073

#3 - 2012-09-04 22:35 - Christian Miiller
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:16e5¢309097a4edf82bfa3ed560f94b92da706d5.
